Declare version.h dependencies explicitly